package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussCash;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;
import java.util.List;

@Component
@Mapper
public interface TbPlussCashMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussCash record);

    int insertSelective(TbPlussCash record);

    TbPlussCash selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussCash record);

    int updateByPrimaryKey(TbPlussCash record);

    BigDecimal selectByUserId(String userId);

    BigDecimal selectCashFrozenAmountByUserId(String userId);

    BigDecimal selectCashAmt(String userId);

    List<TbPlussCash> selectCashByUserId(@Param("userId") String userId, @Param("status") String status);
}